OpenGL32 (JNA API)

com.sun.jna.platform.win32

## Interface OpenGL32

- All Superinterfaces:
    AltCallingConvention, Library, StdCall, StdCallLibrary

      public interface OpenGL32
      extends StdCallLibrary

  opengl32.dll Interface.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

      `StdCallLibrary.StdCallCallback`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OpenGL32` | `INSTANCE`

    - ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

      `FUNCTION_MAPPER, STDCALL_CONVENTION`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `glGetString(int name)` The glGetString function returns a string describing the current OpenGL connection.
    `WinDef.HGLRC` | `wglCreateContext(WinDef.HDC windowDC)` The wglCreateContext function creates a new OpenGL rendering context, which is suitable for drawing on the device referenced by hdc.
    `boolean` | `wglDeleteContext(WinDef.HGLRC hglrc)` The wglDeleteContext function deletes a specified OpenGL rendering context.
    `WinDef.HGLRC` | `wglGetCurrentContext()` The wglGetCurrentContext function obtains a handle to the current OpenGL rendering context of the calling thread.
    `Pointer` | `wglGetProcAddress(java.lang.String lpszProc)` The wglGetProcAddress function returns the address of an OpenGL extension function for use with the current OpenGL rendering context.
    `boolean` | `wglMakeCurrent(WinDef.HDC windowDC, WinDef.HGLRC hglrc)` The wglMakeCurrent function makes a specified OpenGL rendering context the calling thread's current rendering context.

- - ### Field Detail

    - #### INSTANCE

          static final OpenGL32 INSTANCE

  - ### Method Detail

    - #### glGetString

          java.lang.String glGetString(int name)

      The glGetString function returns a string describing the current OpenGL connection.
      Parameters:
        `name` - One of the following symbolic constants.
      Returns:
        The glGetString function returns a pointer to a static string describing some aspect of the current OpenGL connection.

    - #### wglCreateContext

          WinDef.HGLRC wglCreateContext(WinDef.HDC windowDC)

      The wglCreateContext function creates a new OpenGL rendering context, which is suitable for drawing on the device referenced by hdc. The rendering context has the same pixel format as the device context.
      Parameters:
        `windowDC` - Handle to a device context for which the function creates a suitable OpenGL rendering context.
      Returns:
        handle to an OpenGL rendering context

    - #### wglGetCurrentContext

          WinDef.HGLRC wglGetCurrentContext()

      The wglGetCurrentContext function obtains a handle to the current OpenGL rendering context of the calling thread.
      Returns:
        If the calling thread has a current OpenGL rendering context, wglGetCurrentContext returns a handle to that rendering context. Otherwise, the return value is NULL.

    - #### wglMakeCurrent

          boolean wglMakeCurrent(WinDef.HDC windowDC,
                                 WinDef.HGLRC hglrc)

      The wglMakeCurrent function makes a specified OpenGL rendering context the calling thread's current rendering context. All subsequent OpenGL calls made by the thread are drawn on the device identified by hdc.
      Parameters:
        `windowDC` - Handle to a device context. Subsequent OpenGL calls made by the calling thread are drawn on the device identified by hdc.
        `hglrc` - Handle to an OpenGL rendering context that the function sets as the calling thread's rendering context.
      Returns:
        true if successful

    - #### wglDeleteContext

          boolean wglDeleteContext(WinDef.HGLRC hglrc)

      The wglDeleteContext function deletes a specified OpenGL rendering context.
      Parameters:
        `hglrc` - Handle to an OpenGL rendering context that the function will delete.
      Returns:
        true if successful

    - #### wglGetProcAddress

          Pointer wglGetProcAddress(java.lang.String lpszProc)

      The wglGetProcAddress function returns the address of an OpenGL extension function for use with the current OpenGL rendering context.
      Parameters:
        `lpszProc` - Points to a null-terminated string that is the name of the extension function. The name of the extension function must be identical to a corresponding function implemented by OpenGL.
      Returns:
        When the function succeeds, the return value is the address of the extension function.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.